import { EventEmitter, OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from "@angular/forms";
import { Label } from "@yukawa/chain-base-angular-domain";
import { LabelAspect } from "../core/service";
export declare class LabelingComponent implements OnInit {
    private _formBuilder;
    selectedLabels: Label[];
    labelList: Label[];
    labelAspect: LabelAspect;
    selectionChange: EventEmitter<Label[]>;
    labelAdded: EventEmitter<object>;
    navigateToAllLabels: EventEmitter<boolean>;
    newLabel: FormGroup;
    showLabelManagement: boolean;
    showAddLabelBox: boolean;
    pickedColor: any;
    constructor(_formBuilder: FormBuilder);
    ngOnInit(): void;
    onLabelSelectionChange(): void;
    goToLabelTable(): void;
    createNewLabel(): void;
    colorPickerChange(color: string): void;
    compareLabels(label1: Label, label2: Label): boolean;
    removeLabelFromSelection(i: number): void;
}
